Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224618 - Warning: 'with' will become a reserved keyword in Python 2.6
Summary: Warning: 'with' will become a reserved keyword in Python 2.6
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 18:31 UTC by Doug Chapman
Modified: 2014-01-21 22:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-29 16:29:42 UTC


Attachments (Terms of Use)

Description Doug Chapman 2007-01-26 18:31:46 UTC
Description of problem:
tons of these warnings from anaconda during install:


/usr/lib/python2.5/site-packages/yum/__init__.py:435: Warning: 'with' will
become a reserved keyword in Python 2.6
/usr/lib/python2.5/site-packages/yum/packageSack.py:40: Warning: 'with' will
become a reserved keyword in Python 2.6
/usr/lib/python2.5/site-packages/yum/packageSack.py:216: Warning: 'with' will
become a reserved keyword in Python 2.6
/usr/lib/python2.5/site-packages/yum/packageSack.py:217: Warning: 'with' will
become a reserved keyword in Python 2.6
/usr/lib/python2.5/site-packages/yum/repos.py:169: Warning: 'with' will become a
reserved keyword in Python 2.6/usr/lib/python2.5/site-packages/yum/repos.py:193:
Warning: 'with' will become a reserved keyword in Python
2.6/usr/lib/python2.5/site-packages/yum/repos.py:196: Warning: 'with' will
become a reserved keyword in Python
2.6/usr/lib/python2.5/site-packages/yum/repos.py:200: Warning: 'with' will
become a reserved keyword in Python
2.6/usr/lib/python2.5/site-packages/yum/yumRepo.py:70: Warning: 'with' will
become a reserved keyword in Python 2.6
/usr/lib/python2.5/site-packages/yum/yumRepo.py:71: Warning: 'with' will become
a reserved keyword in Python 2.6
/usr/lib/python2.5/site-packages/yum/yumRepo.py:74: Warning: 'with' will become
a reserved keyword in Python 2.6

Version-Release number of selected component (if applicable):
rawhide-20070125
anaconda-11.2.0.17-1
yum-3.1.0-2.fc7


How reproducible:
100%

Steps to Reproduce:
1. install rawhide
2. might need serial console to see it?
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Cantrell 2007-01-29 16:00:48 UTC
This is a yum problem (see the /usr/lib/python2.5/site-packages/yum in the
paths).  It's already been fixed upstream and will be present in the next
release of yum.


Note You need to log in before you can comment on or make changes to this bug.